NAUTY-SHOWG(1)

NAME
nauty-showg - (stand-alone subset of listg)

SYNOPSIS
showg [-p#:#l#o#Ftq] [-a|-A|-c|-d|-e] [infile [outfile]]

DESCRIPTION

    Write graphs in human-readable format.

    infile is the input file in graph6, sparse6 or digraph6 format

    This program does not support incremental sparse6 files; use listg.

    outfile is the output file Defaults are standard input and standard output.

-p#, -p#:#, -p#-# : only display one graph or a sequence of

graphs.
    The first graph is number 1. A second number

    which is empty or zero means infinity.

-a  : write the adjacency matrix

-A  : same as -a with a space between entries

-d  : write output to satisfy dreadnaut

-c  : write compact dreadnaut form with minimal line-breaks

-e  : write a list of edges, preceded by the order and the

    number of edges

-o# : specify number of first vertex (default is 0)

-t  : write upper triangle only (affects -a, -A, -d and default)

-F  : write a form-feed after each graph except the last

-l# : specify screen width limit (default 78, 0 means no limit)

    This is not currently implemented with -a or -A.

-q  : suppress auxiliary output

-a, -A, -c, -d and -e are incompatible.